Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

List Work Order Bonuses GETCreate Work Order Bonus POSTList Work Order Discounts GETUpdate Work Order Expense PUTList Work Order Expenses GETCreate Work Order Expense POSTGet Work Order Increase GETUpdate Work Order Pay Increase PUTList Work Order Increases GETGet work order pay GETUpdate Work Order Pay PUTList Work Order Penalties GETCreate Work Order Penalty POST

Resources

FinancialsFinances

Update Work Order Expense


Update an existing expense entry for the work order.

PUT
/api/rest/v2/workorders/{work_order_id}/expenses/{expense_id}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

expense_id*string

Expense ID

Query Parameters

async?boolean

Asynchronous

Value intrue | false
acting_user_id?integer

Acting user id

Request Body

application/json

expense model

category*

Category of the expense

description*string

Description of the expense

amount*string

Amount of the expense

quantity?number

Quantity of the item in the expense

receipt?

Receipt information for the expense

status?string

Status

Value in"new" | "approved" | "disapproved"
status_description?string

Status description

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/expenses/string_value" \  -H "Content-Type: application/json" \  -d '{    "amount": "55.00",    "category": {      "uid": 1,      "id": 1,      "company_expense_id": 100    },    "description": "Reimbursement for materials"  }'
{
  "id": 123,
  "work_order_id": 1001,
  "title": "string_value",
  "href": "string_value",
  "networks": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "actions": [],
    "results": [],
    "active": {
      "id": 123,
      "name": "Sample Name",
      "type": "standard",
      "options": [],
      "company_options": [],
      "sourced_providers": [],
      "actions": []
    }
  },
  "attachments": {
    "correlation_id": "string_value",
    "actions": [],
    "sum": {
      "unreviewed": 0
    },
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "results": []
  },
  "shipments": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "results": [],
    "correlation_id": "string_value",
    "actions": []
  },
  "signatures": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "results": [],
    "correlation_id": "string_value",
    "actions": []
  },
  "time_logs": {
    "metadata": {
      "total": 100,
      "page": 1,
      "pages": 10,
      "per_page": 20
    },
    "results": [],
    "correlation_id": "string_value",
    "actions": [],
    "hours": 0
  },
  "problems": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "sum": {
      "active": 0,
      "resolved": 0
    },
    "correlation_id": "string_value",
    "actions": [],
    "types": [],
    "results": [],
    "active": {
      "id": 123,
      "zendesk_ticket_id": 0,
      "type": {
        "id": 123,
        "name": "Sample Name",
        "other": "string_value"
      },
      "comments": "string_value",
      "use_provider": true,
      "only_company_can_mark_resolved": true,
      "resolution": {
        "status": "active",
        "at": {
          "date": "2025-01-01",
          "time": "12:00:00",
          "utc": "string_value"
        },
        "by": {
          "id": 123,
          "first_name": "John",
          "last_name": "Doe"
        },
        "allowed_resolvers": []
      },
      "author": {
        "id": 123,
        "first_name": "John",
        "last_name": "Doe"
      },
      "created": {
        "utc": "string_value",
        "local": {
          "date": "2025-01-01",
          "time": "12:00:00"
        }
      },
      "message": {
        "id": 123
      },
      "escalate": true,
      "actions": []
    }
  },
  "pay": {
    "work_order_id": 1001,
    "type": "fixed",
    "base": {
      "units": 0,
      "amount": 0
    },
    "additional": {
      "units": 0,
      "amount": 50
    },
    "fees": [],
    "finance": {
      "id": 123,
      "terms": "string_value",
      "description": "Sample description text.",
      "limit": 0,
      "invoiced_account": true,
      "locked": true
    },
    "hold": {
      "id": 123,
      "amount": 50,
      "charged": true
    },
    "hours": 0,
    "reported_hours": 0,
    "number_of_devices": 0,
    "minimum_payment": 0,
    "range": {
      "min": 0,
      "max": 0
    },
    "labor_sum": 0,
    "fees_cancellation_pending": true,
    "passive_cancellation_amount": 0,
    "fee_cancellation_queued": "string_value",
    "fee_cancellation_charged": "string_value",
    "status_id": "string_value",
    "funding": [],
    "invoice": {
      "id": 123,
      "sent": {
        "utc": "string_value",
        "local": {
          "date": "2025-01-01",
          "time": "12:00:00"
        }
      },
      "paid": {
        "utc": "string_value",
        "local": {
          "date": "2025-01-01",
          "time": "12:00:00"
        }
      }
    },
    "bonuses": {
      "metadata": {
        "total": 100,
        "page": 0,
        "pages": 5,
        "per_page": 20
      },
      "sum": {
        "all": 0,
        "charged": 0,
        "uncharged": 0
      },
      "results": [],
      "actions": []
    },
    "expenses": {
      "metadata": {
        "total": 100,
        "page": 0,
        "pages": 5,
        "per_page": 20
      },
      "sum": {
        "all": 0,
        "charged": 0,
        "uncharged": 0,
        "pending": 0,
        "approved": 0,
        "approved_amount": 0,
        "denied": 0
      },
      "results": [],
      "actions": []
    },
    "penalties": {
      "metadata": {
        "total": 100,
        "page": 0,
        "pages": 5,
        "per_page": 20
      },
      "sum": {
        "all": 0,
        "charged": 0,
        "uncharged": 0
      },
      "results": [],
      "actions": []
    },
    "discounts": {
      "metadata": {
        "total": 100,
        "page": 0,
        "pages": 5,
        "per_page": 20
      },
      "sum": {
        "all": 0
      },
      "results": [],
      "actions": []
    },
    "increases": {
      "metadata": {
        "total": 100,
        "page": 0,
        "pages": 5,
        "per_page": 20
      },
      "sum": {
        "all": 0
      },
      "results": [],
      "actions": [],
      "minimum": 0
    },
    "max_pay": 0,
    "total": 100,
    "max_pay_limit": 0,
    "calculated_total": {
      "total": {
        "min": 0,
        "max": 0
      }
    }
  },
  "publish_stats": {
    "requests": 0,
    "published": 0,
    "failed": 0
  },
  "routes": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "sum": {
      "all": 0
    },
    "results": [],
    "actions": []
  },
  "custom_fields": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "internal": {
      "id": 123,
      "name": "Sample Name",
      "value": "string_value",
      "role": "string_value"
    },
    "actions": [],
    "correlation_id": "string_value",
    "results": []
  },
  "qualifications": {
    "ignored_missing_qualifications": true,
    "actions": [],
    "correlation_id": "string_value",
    "selection_rule": {
      "id": 123,
      "name": "Sample Name",
      "status": "active",
      "actions": [],
      "total_selection_rule": "string_value",
      "weight": 0,
      "sum": {
        "total": 100,
        "match": 0,
        "no_match_optional": 0,
        "no_match_required": 0
      },
      "metadata": {
        "total": 100,
        "page": 0,
        "pages": 5,
        "per_page": 20
      },
      "results": []
    }
  },
  "bundle": {
    "id": 123,
    "company_id": 0,
    "metadata": {
      "total": 100,
      "per_page": 20
    },
    "actions": [],
    "results": []
  },
  "auto_dispatch_stats": {
    "auto_assigned": true
  },
  "schedule": {
    "work_order_id": 1001,
    "service_window": {
      "mode": "exact",
      "start": {
        "utc": "string_value",
        "local": {
          "date": "2025-01-01",
          "time": "12:00:00"
        }
      },
      "end": {
        "utc": "string_value",
        "local": {
          "date": "2025-01-01",
          "time": "12:00:00"
        }
      }
    },
    "schedule_note": "string_value",
    "schedule_option": 0,
    "time_zone": {
      "name": "Sample Name",
      "short": "string_value",
      "id": 123,
      "offset": 0
    },
    "status_id": 0,
    "company_id": 0,
    "today_tomorrow": "string_value",
    "correlation_id": "string_value"
  },
  "eta": {
    "user": {
      "id": 123
    },
    "task": {
      "id": 123
    },
    "start": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "end": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "hour_estimate": 0,
    "notes": "string_value",
    "status": {
      "name": "Sample Name",
      "updated": {
        "utc": "string_value",
        "local": {
          "date": "2025-01-01",
          "time": "12:00:00"
        }
      }
    },
    "mode": "string_value"
  },
  "location": {
    "coordinates": {
      "latitude": 44.9778,
      "longitude": -93.265,
      "exact": true
    },
    "work_order_id": 1001,
    "mode": "string_value",
    "address1": "123 Main St",
    "address2": "Suite 100",
    "city": "Minneapolis",
    "state": "MN",
    "zip": "90210",
    "country": "USA",
    "notes": [],
    "type": {
      "id": 123,
      "name": "Sample Name"
    },
    "saved_location": {
      "id": 123,
      "name": "Sample Name",
      "display_name": "string_value",
      "contact": {
        "name": "Sample Name",
        "phone": "555-0199"
      },
      "group": {
        "id": 123,
        "name": "Sample Name"
      }
    },
    "display_name": "string_value",
    "status_id": 0,
    "correlation_id": "string_value",
    "zoom": "string_value",
    "map": {
      "url": "https://fieldnation.com",
      "href": "string_value"
    },
    "actions": []
  },
  "company": {
    "id": 123,
    "name": "Sample Name",
    "photo": "string_value",
    "check_in_instructions": "string_value",
    "check_out_instructions": "string_value",
    "provider_utilization_max_hours": 0,
    "provider_utilization_max_weekly": 0,
    "address": {
      "address1": "123 Main St",
      "address2": "Suite 100",
      "city": "Minneapolis",
      "state": "MN",
      "postalCode": "string_value",
      "country": "USA"
    },
    "features": []
  },
  "manager": {
    "thumbnail": "string_value",
    "id": 123,
    "username": "string_value",
    "first_name": "John",
    "last_name": "Doe",
    "name": "Sample Name",
    "email": "user@fieldnation.com",
    "phone": "555-0199"
  },
  "client": {
    "id": 123,
    "name": "Sample Name"
  },
  "project": {
    "id": 123,
    "name": "Sample Name"
  },
  "status": {
    "id": 123,
    "name": "Sample Name",
    "display": "string_value",
    "is_routed": true,
    "code": "string_value",
    "delay": 0,
    "ncns": true,
    "sub_status": "string_value",
    "confirmed": true,
    "correlation_id": "string_value"
  },
  "messages": {
    "actions": [],
    "correlation_id": "string_value",
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "results": []
  },
  "assignee": {
    "user": {
      "id": 123,
      "first_name": "John",
      "last_name": "Doe"
    },
    "status_id": 0,
    "work_order_id": 1001,
    "in_confirmation_window": true
  },
  "milestones": {
    "created": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "published": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "routed": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "assigned": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "workdone": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "approved": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "paid": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "canceled": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    }
  },
  "template": {
    "id": 123,
    "name": "Sample Name"
  },
  "invoice": {
    "id": "string_value"
  },
  "integration": {
    "id": "string_value",
    "name": "Sample Name",
    "href": "string_value"
  },
  "integrations": {
    "result": []
  },
  "contacts": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "results": [],
    "correlation_id": "string_value",
    "actions": []
  },
  "tasks": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20,
      "completed": {
        "confirmassignment": 0,
        "c9": 0,
        "picture": 0,
        "checkin": 0,
        "email": 0,
        "shipmenttracking": 0,
        "other": 0,
        "phone": 0,
        "download": 0,
        "customfield": 0,
        "signature": 0,
        "checkout": 0,
        "closeoutnotes": 0
      }
    },
    "results": [],
    "correlation_id": "string_value",
    "actions": []
  },
  "swaps": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "actions": [],
    "results": [],
    "correlation_id": "string_value"
  },
  "equipments": [],
  "type_of_work": {
    "id": 123,
    "name": "Sample Name"
  },
  "types_of_work": [],
  "service_types": [],
  "service_types_new": [],
  "site_device": [],
  "description": {
    "html": "string_value",
    "markdown": "string_value"
  },
  "confidential": {
    "html": "string_value",
    "markdown": "string_value"
  },
  "policy_and_procedures": {
    "html": "string_value",
    "markdown": "string_value"
  },
  "standard_instructions": {
    "html": "string_value",
    "markdown": "string_value"
  },
  "progress": {
    "sum": {
      "all": 0,
      "complete": 0,
      "incomplete": 0
    },
    "label": "string_value"
  },
  "tags": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "actions": [],
    "results": [],
    "correlation_id": "string_value"
  },
  "tasks_enabled": true,
  "closing_notes": "string_value",
  "allow_counter_offers": true,
  "is_user_declined": true,
  "w2": true,
  "import_id": 0,
  "printable": true,
  "require_registered_service_companies": true,
  "advanced_qualifications": true,
  "require_gps": true,
  "site_revisit": {
    "job_status": "string_value",
    "revisit_count": 0,
    "is_revisit": true,
    "incomplete_reason": {
      "reason_id": 0,
      "reason_name": "string_value"
    }
  },
  "incident_id": "string_value"
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

List Work Order Discounts GET

Previous Page

List Work Order Expenses GET

Next Page

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/expenses/string_value" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": "55.00",
    "category": {
      "uid": 1,
      "id": 1,
      "company_expense_id": 100
    },
    "description": "Reimbursement for materials"
  }'